Subject: bug#50881: C-h C-s leads to empty " *Metahelp*" buffer

From: Eli Zaretskii <[email-masked]>
Date: Wed, 29 Sep 2021 14:51:56 +0300

> From: Juri Linkov <[email-masked]>
> Date: Wed, 29 Sep 2021 09:54:20 +0300
> Cc: [email-masked]
> 
> I tried to reproduce this, then typed 'C-h C-h', and it highlights
> matching parens on the first line.  This not only makes no sense,

Please elaborate why it makes no sense.

> but also distracting for users seeking help.
> 'show-paren-mode' should be disabled in all read-only buffers.

If the problem is with *Help* and other documentation buffers, why
turn it off in _all_ read-only buffers?  The latter is a much broader
category.  For example, debugging Lisp with Edebug makes the source
buffer read-only.